*fiscalsolve the steady-state value
scalars
beta
eta
omaga_t
omaga_n
lambda
sigma
rho_po
rho_yo
delta_p
tao_no
tao_o
theta
eta_l
ps
v_g
delta_g
phi_0
phi_1
phi_f
pr1
chi
zeta_k
eta_k
r_wr
v_gn
;
beta=0.6;
eta=0.65;
omaga_t=0.17;
omaga_n=0.17;
lambda=0.972;
sigma=0.2;
rho_po=0.93;
rho_yo=0.912;
delta_p=0.045;
tao_no=0.147;
tao_o=0.41;
eta_l=0.2;
ps=12;
v_g=0.151;
delta_g=0.035;
phi_0=0.45;
phi_1=0.05;
phi_f=0.011;
pr1=0.25;
chi=0;
zeta_k=0.6;
eta_k=0.5;
v_gn=0.41;
r_wr=0.01;
theta=0.55;

variables
Y_T,Y_N,P_O,Y_O,L_T,K_T,K_G,W,R_T,L_N,K_N,R_N,K_P,I_P,C,L,D_P,R_W,C_N,C_T,T,T_O,T_NO,T_L,F,R_F,G,I_G,C_G,I_GN,I_GT,phi,D_G,OPB,PR,Y,R_K,D,Obj;


equations
Eq1
Eq2
Eq3
Eq4
Eq5
Eq6
Eq7
Eq8
Eq9
Eq10
Eq11
Eq12
Eq13
Eq14
Eq15
Eq16
Eq17
Eq18
Eq19
Eq20
Eq21
Eq22
Eq23
Eq24
Eq25
Eq26
Eq27
Eq28
Eq29
Eq30
Eq31
Eq32
Eq33
Eq34
Eq35
Eq36
Eq37
Eq38
EqObj
;
Eq1..
Y_T+Y_N+P_O*Y_O=e=Y;
Eq2..
Y_T=e=(L_T**beta)*(K_T**(1-beta))*(K_G**omaga_t);
Eq3..
W=e=beta*Y_T/L_T;
Eq4..
R_T=e=(1-beta)*Y_T/K_T;
Eq5..
Y_N=e=(L_N**eta)*(K_N**(1-eta))*(K_G**omaga_n);
Eq6..
W=e=eta*Y_N/L_N;
Eq7..
R_N=e=(1-eta)*Y_N/K_N;
Eq8..
P_O**rho_po=e=P_O;
Eq9..
Y_O**rho_yo=e=Y_O;
Eq10..
I_P=e=delta_p*K_P;
Eq11..
R_W=e=1/lambda-1;
Eq12..
L=e=((1-tao_no)*W/(eta_l*C**(1/sigma)))**(1/ps);
Eq13..
(1-tao_no)*R_K+1-delta_p=e=1+R_W;
Eq14..
C=e=C_T**theta+C_N**(1-theta);
Eq15..
C_N=e=theta*C;
Eq16..
C_T=e=(1-theta)*C;
Eq17..
T_O=e=tao_o*P_O*Y_O;
Eq18..
T_NO=e=tao_no*(Y_T+Y_N);
Eq19..
T=e=T_O+T_NO+T_L+R_F*F;
Eq20..
C_G=e=(1-v_g)*G;
Eq21..
I_G=e=v_g*G;
Eq22..
G=e=I_G+C_G;
Eq23..
I_GN=e=v_gn*I_G;
Eq24..
I_GT=e=(1-v_gn)*I_G;
Eq25..
I_G=e=I_GN+I_GT;
Eq26..
K_G*delta_g=e=phi*I_G;
Eq27..
phi=e=phi_0*(I_G/K_G)**(-phi_1);
Eq28..
0=e=R_W*D_G+G-T;
Eq29..
OPB=e=T_O+T_NO+T_L-G;
Eq30..
R_W=e=(1+r_wr)*(1+PR)-1;
Eq31..
PR=e=(D_G/Y)**pr1;
Eq32..
Y_N=e=C_N+C_G+I_GN;
Eq33..
L=e=L_T+L_N;
Eq34..
K_P=e=(zeta_k*(K_T)**((eta_k-1)/eta_k)+(1-zeta_k)*(K_N)**((eta_k-1)/eta_k))**(eta_k/(eta_k-1));
Eq35..
R_K=e=((zeta_k)**eta_k*R_T**(1-eta_k)+(1-zeta_k)**eta_k*R_N**(1-eta_k))**(1/(1-eta_k));
Eq36..
phi_f*F=e=chi*T_O;
Eq37..
0=e=R_W*D-Y_T+C_T+I_P+I_GT-(r_f-phi_f)*F-P_O*Y_O;
Eq38..
D=e=D_P+D_G;
EqObj..
Obj=e=0;


K_T.lo=0.01;
K_N.lo=0.01;
K_G.lo=0.01;
K_P.lo=0.01;
L.lo=0.01;
L_T.lo=0.01;
L_N.lo=0.01;
W.lo=0.01;
C.lo=0.01;
Y.lo=0.01;
I_G.lo=0.01;
G.lo=0.01;
P_O.fx=1;
Y_O.fx=1;


model fiscal/all/;
solve FISCAL using nlp minimizing Obj;
display Y_T.L,Y_N.L,P_O.L,Y_O.L,L_T.L,K_T.L,K_G.L,W.L,R_T.L,L_N.L,K_N.L,R_N.L,K_P.L,I_P.L,C.L,L.L,D_P.L,R_W.L,C_N.L,C_T.L,T.L,T_O.L,T_NO.L,T_L.L,F.L,R_F.L,G.L,I_G.L,C_G.L,I_GN.L,I_GT.L,phi.L,D_G.L,OPB.L,PR.L,Y.L,R_K.L,D.L,Obj.l;
